PMDALOGGER(1)

NAME
pmdalogger - log file performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/logger/pmdalogger [-d domain] [-l logfile] [-m memory] [-s interval] [-U username] [configfile]

DESCRIPTION
pmdalogger is a configurable log file monitoring Performance Metrics Domain Agent (PMDA). It can be seen as analogous to the -f option to tail(1) and converts each new log line into a performance event. It was the first PMDA to make extensive use of event metrics, which can be consumed by client tools like pmevent(1).

The logger PMDA exports both event-style metrics reflecting timestamped event records for text logged to a file (or set of files or output from a process), as well as the more orthodox sample-style metrics such as event counts and throughput size values.

The PMDA is configured via a configfile which contains one line for each source of events (file or process). This file is setup by the Install script described in the later section on ``INSTALLATION'' of the PMDA.

A brief description of the pmdalogger command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named logger.log is written in the current directory of pmcd(1) when pmdalogger is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

-m  Limit the physical memory used by the PMDA to buffer event records to maxsize bytes. As log events arrive at the PMDA, they must be buffered until individual client tools request the next batch since their previous batch of events. The default maximum is 2 megabytes.

-s  Sets the polling interval for detecting newly arrived log lines. Mirrors the same option from the tail(1) command.

-U  User account under which to run the agent. The default is the unprivileged "pcp" account in current versions of PCP, but in older versions the superuser account ("root") was used by default.

INSTALLATION
If you want access to the names, help text and values for the logger performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/logger
# ./Install

This is an interactive installation process which prompts for each log file path to be monitored (or command to be run), a metric instance name to identify it, and whether access should be restricted (refer to the -x option to pmevent(1) for further details).

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/logger
# ./Remove

pmdalogger is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdalogger
$PCP_PMDAS_DIR/logger/logger.conf
    default configuration file for the logger metrics
$PCP_PMDAS_DIR/logger/help
    default help text file for the logger metrics
$PCP_PMDAS_DIR/logger/Install
    installation script for the pmdalogger agent
$PCP_PMDAS_DIR/logger/Remove
    undo installation script for the pmdalogger agent
$PCP_LOG_DIR/pmcd/logger.log
    default log file for error messages and other information from pmdalogger

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmevent(1), pmcd(1), tail(1), pcp.conf(5) and pcp.env(5).